Update widget
curl --request PUT \
--url https://app.freyavoice.ai/api/v2/analytics/widgets/{widgetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"rowIndex": 1,
"sortOrder": 1,
"config": {
"colors": [
"<string>"
],
"showLegend": true,
"multiFieldIds": [
123
],
"topN": 123,
"agentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://app.freyavoice.ai/api/v2/analytics/widgets/{widgetId}"
payload = {
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"rowIndex": 1,
"sortOrder": 1,
"config": {
"colors": ["<string>"],
"showLegend": True,
"multiFieldIds": [123],
"topN": 123,
"agentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
structuredDataId: 123,
rowIndex: 1,
sortOrder: 1,
config: {
colors: ['<string>'],
showLegend: true,
multiFieldIds: [123],
topN: 123,
agentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
})
};
fetch('https://app.freyavoice.ai/api/v2/analytics/widgets/{widgetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"structuredDataId": 123,
"chartType": "<string>",
"columnWidth": "<string>",
"rowIndex": 123,
"sortOrder": 123,
"config": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Analytics
Update widget
Updates an existing analytics widget.
PUT
/
analytics
/
widgets
/
{widgetId}
Update widget
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
100Maximum string length:
500Available options:
line, area, radar, pie, donut, treemap, stacked_bar, stream Available options:
1/4, 1/3, 1/2, 2/3, 3/4, full Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes